1. Welcome to the official forum for MINIX devices!
    Dismiss Notice

Best XBMC for Minix version for X8-H Plus

Discussion in 'NEO X8-H Plus' started by Royce Lithgo, Dec 13, 2017.

  1. Royce Lithgo

    Royce Lithgo New Member

    I'm currently running 13.3 - it's reasonably stable. The only issue i have is infrequent hanging during video playback (requiring pulling the power cord out of the device and rebooting).

    Everything else works well.

    Is it worth upgrading to one of the newer versions? 15.3 is a final release, 16.3 is still marked as beta.
    Which is the best XBMC release for this box?
     
  2. exitguy

    exitguy Member

    I'm running 15.3 and it works fine, have not bothered to go to 16.3 as there were a few posts detailing some problems - better the devil you know (15.3) than the devil you don't (16.3) !!
     
  3. Royce Lithgo

    Royce Lithgo New Member

    Did you upgrade from 13.3 to 15.3 and was it a simple process?
     
  4. exitguy

    exitguy Member

    Yes, no need to remove 15.3. Just execute the .APK and it will install over the 13.3 keeping all your settings etc.
     
  5. jjsjunk99

    jjsjunk99 New Member

    I had no problems with 16.3 it was easy to update and install. It just took a long time. I have now moved onto 17.3 and it works even better and faster.


    Sent from my iPhone using Tapatalk
     
  6. Royce Lithgo

    Royce Lithgo New Member

    Doesn't 17.x require Android upgrade?
    There seems to be a few versions above 15.3 that don't get past beta status. I am not too keen on running beta versions.
    Stability is my main concern as 13.3 is pretty stable other than the infrequent hang during video playback.
     
  7. exitguy

    exitguy Member

    17.x + versions need Android upgrade / 15.3 is very stable, been running it for quite a while now
     
  8. Royce Lithgo

    Royce Lithgo New Member

    Didn't work for me - got an error:
    An existing package by the same name with a conflicting signature is already installed
     
  9. skynet

    skynet Moderator Moderator

    Uninstall existing version before !
    Minix settings > applications > Kodi > uninstall it
     
  10. donnydeadlight

    donnydeadlight New Member

    13.3 and 15.3 are much older versions, and you may have compatibility issues with newer addons. 16.3, although beta is very stable. Would recommend you upgrade as far as your OS permits if you don't want to upgrade. (16.3 for anything below Android 5.0.) You can use one of the many backup tools to save your build, so ready to reinstall if you run into problems.
     
  11. tithitoy

    tithitoy New Member

    Kodi 18 support Amcodec now. Im happy with old X8h+ box now :p
     
  12. ajortega

    ajortega New Member

    Searching the web I find the latest version of kodi is 17.6.
    Where to find Kodi version 18?
    Can be installed Kodi 18 on Android 4.4 or do I need to upgrade to Android 5?
    With KODI 18, does audio passthrough work?

    Thank you
     
    Last edited: Jan 17, 2018
  13. midnight

    midnight Moderator Moderator

    For Kodi 17 and beyond you need to be on Android 5 or higher....did you see this ?
    http://www.minixforum.com/threads/x8-h-plus-lollipop-rc2-firmware-july-2017.16633/
    You could also try one of these forks ...
    FTMC
    http://freaktab.com/forum/tv-player...cussions/xbmc-talk/575588-ftmc-jarvis-16-2-31
    or
    MyGica Media Center
    http://kodiuk.tv/2017/04/21/install-mygica-media-centre-kodi-17-fork-android-4-4-2/
     
    Last edited: Jan 17, 2018
  14. ajortega

    ajortega New Member

    Thank you so much for your help.

    I had already read the information about the versions of kodi 17 and higher and their limitations on audio passtrough.
    In a previous message I read that Kodi 18 supported armcodec and I understood that it could also support passtrough audio.
    I think this limitation is in the Android version and with Kodi 18 will not work either passtrough.

    I'll install the forks you recommended to verify they work on my Minix.
    Anyway on my Minix X8-H plus I have installed SPMC 16.4 and XBMC for Minix 16.3 and both work quite well.

    Thank you again.